Debian Bug report logs - #594940
Includes binary-only and obfuscated C code

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Mon, 30 Aug 2010 21:57:02 UTC

Severity: serious

Found in version 8.1-5

Fixed in version kfreebsd-8/8.1+dfsg-6

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Mon, 30 Aug 2010 21:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 30 Aug 2010 21:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Includes binary-only and obfuscated C code
Date: Mon, 30 Aug 2010 22:52:58 +0100
Package: kfreebsd-8
Version: 8.1-5
Severity: serious

The following C files contain firmware images in binary-equivalent form
but are not obviously accompanied by the corresponding source code:

sys/contrib/dev/ral/rt2661_ucode.h
- binaries are packaged in firmware-ralink as /lib/firmware/ralink/rt2?6*.bin

sys/gnu/dev/sound/pci/csaimg.h
- not packaged; not distributable since the stated licence is GPL

sys/gnu/dev/sound/pci/maestro3_dsp.h 
- not packaged; not distributable since the stated licence is GPL

sys/dev/drm/mga_ucode.h
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/matrox/*

sys/dev/drm/r128_cce.c
- binary is packaged in firmware-linux-nonfree as /lib/firmware/r128/r128_cce.bin

sys/dev/drm/r600_microcode.h
sys/dev/drm/radeon_microcode.h
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/radeon/*

sys/dev/txp/3c990img.h
- binary is packaged in firmware-linux-nonfree as /lib/firmware/3com/typhoon.bin

sys/dev/fxp/rcvbundl.h
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/e100/*

sys/dev/digi/*X*.h
- not packaged; distributable

sys/dev/sf/starfire_rx.h
sys/dev/sf/starfire_tx.h
- not packaged; maybe distributable

sys/dev/sn/ositech.h
- not packaged; distributable

sys/dev/sound/pci/ds1-fw.h
- not packaged; distributable

sys/dev/si/si2_z280.c
sys/dev/si/si3_t225.c
- not packaged; maybe distributable

sys/dev/cxgb/common/cxgb_ael1002.c
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/cxgb3/ael*.bin

sys/dev/fatm/firmware.h
- not packaged; not distributable

sys/dev/cx/csigmafw.h
- not packaged; maybe distributable

sys/dev/bce/if_bcefw.h
- binaries are packaged in firmware-bnx2 as /lib/firmware/bnx2/bnx2/*.fw

sys/dev/usb/net/if_kuefw.h
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/kaweth/*

sys/dev/usb/wlan/if_rumfw.h
- binary is packaged in firmware-ralink as /lib/firmware/ralink/rt73.bin

sys/dev/usb/wlan/if_zydfw.h
- not packaged; distributable

sys/dev/ti/ti_fw2.h
sys/dev/ti/ti_fw.h
- not packaged; maybe distributable

sys/dev/ctau/ctaue1fw.h
sys/dev/ctau/ctau2fw.h
sys/dev/ctau/ctaufw.h
sys/dev/ctau/ctaug7fw.h
- not packaged; maybe distributable

sys/dev/ispfw/asm_*.h
- binaries are packaged in firmware-qlogic as /lib/firmware/ql*_fw.bin

sys/dev/advansys/adwmcode.c
- binary is packaged in firmware-linux-nonfree as /lib/firmware/advansys/mcode.bin

As one of the maintainers of firmware-nonfree, I'm happy to cooperate
in adding any firmware images from FreeBSD that Debian can legally
distribute.

Additionally, these C files contain obfuscated code:

sys/dev/ce/tau32-ddk.c
sys/dev/cp/cpddk.c

Ben.

-- System Information:
Debian Release: squeeze/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Mon, 30 Aug 2010 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 30 Aug 2010 22:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 594940@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594940@bugs.debian.org
Subject: Re: Includes binary-only and obfuscated C code
Date: Mon, 30 Aug 2010 23:08:34 +0100
[Message part 1 (text/plain, inline)]
Additionally, the following uuencoded files contain binary-equivalent
firmware images with no accompanying source code:

sys/contrib/dev/mwl/mwlboot.fw.uu
sys/contrib/dev/mwl/mw88W8363.fw.uu
- not packaged; distributable

sys/contrib/dev/ral/rt2561.fw.uu
sys/contrib/dev/ral/rt2561s.fw.uu
sys/contrib/dev/ral/rt2860.fw.uu
sys/contrib/dev/ral/rt2661.fw.uu
sys/contrib/dev/run/rt2870.fw.uu
- packaged in firmware-ralink

sys/contrib/dev/npe/IxNpeMicrocode.dat.uu
- not packaged; distributable

sys/contrib/dev/ipw/ipw2100-1.3-i.fw.uu
sys/contrib/dev/ipw/ipw2100-1.3-p.fw.uu
sys/contrib/dev/ipw/ipw2100-1.3.fw.uu
sys/contrib/dev/iwi/ipw2200-ibss.fw.uu
sys/contrib/dev/iwi/ipw2200-bss.fw.uu
sys/contrib/dev/iwi/ipw2200-sniffer.fw.uu
- packaged in firmware-ip2x00

sys/contrib/dev/uath/ar5523.bin.uu
- not packaged; no licence visible

sys/contrib/dev/iwn/iwlwifi-5150-8.24.2.2.fw.uu
sys/contrib/dev/iwn/iwlwifi-1000-128.50.3.1.fw.uu
sys/contrib/dev/iwn/iwlwifi-5000-8.24.2.12.fw.uu
sys/contrib/dev/iwn/iwlwifi-4965-228.61.2.24.fw.uu
sys/contrib/dev/iwn/iwlwifi-6000-9.193.4.1.fw.uu
sys/contrib/dev/wpi/iwlwifi-3945-2.14.4.fw.uu
- packaged in firmware-iwlwifi

And the following uuencoded files appear to contain x86 binary code to
run on the host, without accompanying source code:

sys/contrib/dev/nve/i386/nvenetlib.o.bz2.uu
sys/contrib/dev/nve/amd64/nvenetlib.o.bz2.uu
sys/dev/hptrr/amd64-elf.hptrr_lib.o.uu
sys/dev/hptrr/i386-elf.hptrr_lib.o.uu
sys/dev/hptmv/i386-elf.raid.o.uu
sys/dev/hptmv/amd64-elf.raid.o.uu

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Sun, 03 Oct 2010 11:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 03 Oct 2010 11:09:09 GMT) Full text and rfc822 format available.

Message #15 received at 594940@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 594940@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Sun, 3 Oct 2010 13:04:08 +0200
[Message part 1 (text/plain, inline)]
Ben Hutchings <ben@decadent.org.uk> (30/08/2010):
> Package: kfreebsd-8
> Version: 8.1-5
> Severity: serious
> 
> The following C files contain firmware images in binary-equivalent
> form but are not obviously accompanied by the corresponding source
> code: […]

Hi,

and thanks for your report. I'm not sure we're going to have time and
manpower to fix this bug in time for squeeze; that's why I'm wondering
whether it could be granted a squeeze-ignore exception. Cc-ing the
release team.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Tue, 26 Oct 2010 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Oct 2010 22:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 594940@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 594940@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Tue, 26 Oct 2010 23:32:13 +0100
On Sun, 2010-10-03 at 13:04 +0200, Cyril Brulebois wrote: 
> Ben Hutchings <ben@decadent.org.uk> (30/08/2010):
> > The following C files contain firmware images in binary-equivalent
> > form but are not obviously accompanied by the corresponding source
> > code: […]
> 
> Hi,
> 
> and thanks for your report. I'm not sure we're going to have time and
> manpower to fix this bug in time for squeeze; that's why I'm wondering
> whether it could be granted a squeeze-ignore exception. Cc-ing the
> release team.

Hi,

Apologies for not getting back to you sooner regarding this.

Firstly, we'd like to thank Ben for his offer to help incorporate those
files which we are able to distribute into the existing firmware-nonfree
package.

Sadly, the list mentioned in the bug log includes some files which we
cannot distribute for various reasons; these appear to be a couple of
sound drivers, some network card drivers, firmware for an ATM card
(which Google suggests is intended for use in Alpha machines) and some
serial multiplexers and adapters.  Without the ability to distribute the
affected files, there is not a great deal we can do to resolve these
issues other than removing them.

For the remainder of the files, whilst we may consider granting a
squeeze-ignore tag, we would like to come to an agreement as to how we
can resolve these issues in the medium term.  We appreciate that the BSD
kernel has not received the same level of upstream attention that the
Linux kernel has in recent years in terms of ensuring that all content
is freely distributable.   We believe that working with them on these
issues can only be of benefit for free software, and would help to move
the kfreebsd-* architectures from "technology previews" towards fully
supported stable releases with everything we have to come to expect from
the Linux architectures.

Does the kfreebsd kernel include the ability to load firmware from
external files, akin to /lib/firmware on Linux?  If so, this would
hopefully make the process of moving the firmware files out-of-kernel
much less painful, particularly for those cases where firmware-non-free
already includes the affected files.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Tue, 26 Oct 2010 23:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Oct 2010 23:09:02 GMT) Full text and rfc822 format available.

Message #25 received at 594940@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 594940@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Ben Hutchings <ben@decadent.org.uk>, debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Wed, 27 Oct 2010 02:06:05 +0300
On Tue, Oct 26, 2010 at 11:32:13PM +0100, Adam D. Barratt wrote:
>...
> For the remainder of the files, whilst we may consider granting a
> squeeze-ignore tag, we would like to come to an agreement as to how we
> can resolve these issues in the medium term.
>...

Can you actually add a squeeze-ignore tag without a GR?

It appears to me this situation is similar to the Sarge-exception for 
Linux that required GR 2004-003, or do I miss anything here?

> Regards,
> 
> Adam

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Sat, 06 Nov 2010 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 06 Nov 2010 09:51:05 GMT) Full text and rfc822 format available.

Message #30 received at 594940@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 594940@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Sat, 6 Nov 2010 10:48:32 +0100 (CET)
> For the remainder of the files, whilst we may consider granting a
> squeeze-ignore tag, we would like to come to an agreement as to how we
> can resolve these issues in the medium term.  We appreciate that the BSD
> kernel has not received the same level of upstream attention that the
> Linux kernel has in recent years in terms of ensuring that all content
> is freely distributable.   We believe that working with them on these
> issues can only be of benefit for free software, and would help to move
> the kfreebsd-* architectures from "technology previews" towards fully
> supported stable releases with everything we have to come to expect from
> the Linux architectures.
>
> Does the kfreebsd kernel include the ability to load firmware from
> external files, akin to /lib/firmware on Linux?  If so, this would
> hopefully make the process of moving the firmware files out-of-kernel
> much less painful, particularly for those cases where firmware-non-free
> already includes the affected files.

Currently, there exists a related kernel interface for it.
http://www.freebsd.org/cgi/man.cgi?query=firmware:

"FIRMWARE LOADING MECHANISMS
Any component of the system can register firmware
images at any time by simply calling firmware_register().
This is typically done when a module containing a firmware image is 
given control, whether compiled in, or preloaded by /boot/loader, or 
manually loaded with kldload(8).  However, a system can implement 
additional mechanisms to bring these images in memory before calling
firmware_register().

When firmware_get() does not find the requested image, it tries to load
it using one of the available loading mechanisms. At the moment, 
there is only one, namely Loadable kernel modules."

We could probably extend it. But definitely not in time for squeeze.

Now we have to somehow prune current source tree and disable some 
modules. Could we get squeeze-ignore tag for some of the affected
files or is it necessary to prune all affected files ?

Cheers

	Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Sun, 07 Nov 2010 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 07 Nov 2010 12:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 594940@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 594940@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Sun, 07 Nov 2010 12:50:40 +0000
On Sat, 2010-11-06 at 10:48 +0100, Petr Salinger wrote:
> > For the remainder of the files, whilst we may consider granting a
> > squeeze-ignore tag, we would like to come to an agreement as to how we
> > can resolve these issues in the medium term.  We appreciate that the BSD
> > kernel has not received the same level of upstream attention that the
> > Linux kernel has in recent years in terms of ensuring that all content
> > is freely distributable.   We believe that working with them on these
> > issues can only be of benefit for free software, and would help to move
> > the kfreebsd-* architectures from "technology previews" towards fully
> > supported stable releases with everything we have to come to expect from
> > the Linux architectures.
[...]
> Now we have to somehow prune current source tree and disable some 
> modules. Could we get squeeze-ignore tag for some of the affected
> files or is it necessary to prune all affected files ?

Ben's original lists included some files which we don't appear to be
able to distribute at all.  If his analysis is correct then those files
at least would need to be removed rather than ignored.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Sun, 07 Nov 2010 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 07 Nov 2010 13:18:02 GMT) Full text and rfc822 format available.

Message #40 received at 594940@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 594940@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Sun, 7 Nov 2010 14:16:21 +0100 (CET)
>> Now we have to somehow prune current source tree and disable some
>> modules. Could we get squeeze-ignore tag for some of the affected
>> files or is it necessary to prune all affected files ?
>
> Ben's original lists included some files which we don't appear to be
> able to distribute at all.  If his analysis is correct then those files
> at least would need to be removed rather than ignored.

The question is whether pruning following files suffices:

sys/gnu/dev/sound/pci/csaimg.h
- not packaged; not distributable since the stated licence is GPL
sys/gnu/dev/sound/pci/maestro3_dsp.h
- not packaged; not distributable since the stated licence is GPL
sys/dev/fatm/firmware.h
- not packaged; not distributable
sys/contrib/dev/nve/i386/nvenetlib.o.bz2.uu
sys/contrib/dev/nve/amd64/nvenetlib.o.bz2.uu
sys/dev/hptrr/amd64-elf.hptrr_lib.o.uu
sys/dev/hptrr/i386-elf.hptrr_lib.o.uu
sys/dev/hptmv/i386-elf.raid.o.uu
sys/dev/hptmv/amd64-elf.raid.o.uu
- uuencoded files with binary code to run on the host,
   without accompanying source code
  (not used even now - see 903_disable_non-free_drivers.diff)

Or whether we have to drop all mentioned files
or something between.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Sat, 13 Nov 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 13 Nov 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 594940@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 594940@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Sat, 13 Nov 2010 17:18:29 +0000
Sorry for the slight delay in responding to this.

On Sun, 2010-11-07 at 14:16 +0100, Petr Salinger wrote: 
> >> Now we have to somehow prune current source tree and disable some
> >> modules. Could we get squeeze-ignore tag for some of the affected
> >> files or is it necessary to prune all affected files ?
> >
> > Ben's original lists included some files which we don't appear to be
> > able to distribute at all.  If his analysis is correct then those files
> > at least would need to be removed rather than ignored.
> 
> The question is whether pruning following files suffices:

Apologies if this question has already been asked (I couldn't find the
previous occurrence if it has), but what would the effect on the
kfreebsd-* kernel be of removing all of the files which were originally
mentioned in Ben's mails in this bug report, and is that an option which
has been considered by the porters?

fwiw, if the current firmware-loading mechanism could be extended to
support using the firmware-* packages, the SRMs would be prepared to
look at introducing the updated mechanism - and any necessary new
firmware packages - as part of a Squeeze point release, if desired /
required.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Sat, 13 Nov 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 13 Nov 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 594940@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 594940@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Sat, 13 Nov 2010 20:13:36 +0100 (CET)
> what would the effect on the
> kfreebsd-* kernel be of removing all of the files which were originally
> mentioned in Ben's mails in this bug report, and is that an option which
> has been considered by the porters?

From my (non-DD) POV, the most problematic are network drivers

sys/dev/txp/3c990img.h
- binary is packaged in firmware-linux-nonfree as /lib/firmware/3com/typhoon.bin

sys/dev/fxp/rcvbundl.h
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/e100/*

For our port is very important to release. It would be better to release 
even without any of these drivers compared to not release at all ...

> fwiw, if the current firmware-loading mechanism could be extended to
> support using the firmware-* packages, the SRMs would be prepared to
> look at introducing the updated mechanism - and any necessary new
> firmware packages - as part of a Squeeze point release, if desired /
> required.

Could be the plan:

1) drop all files from Ben's mail, repackage .orig.tgz, disable drivers
2) upload into sid and ask for propagation into squeeze
3) start extending firmware-loading mechanism
4a) upload into sid and ask for propagation into squeeze
4b) upload into stable-proposed-updates

Whether 4a or 4b depends on our timing.

I have to note, that this is my personal planing,
not planing of whole porter group, but I expect they would agree.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Mon, 15 Nov 2010 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 15 Nov 2010 20:03:07 GMT) Full text and rfc822 format available.

Message #55 received at 594940@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 594940@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#594940: Includes binary-only and obfuscated C code
Date: Mon, 15 Nov 2010 20:58:50 +0100
On Sat, Nov 13, 2010 at 08:13:36PM +0100, Petr Salinger wrote:
>> what would the effect on the
>> kfreebsd-* kernel be of removing all of the files which were originally
>> mentioned in Ben's mails in this bug report, and is that an option which
>> has been considered by the porters?
>
>> From my (non-DD) POV, the most problematic are network drivers
>
> sys/dev/txp/3c990img.h
> - binary is packaged in firmware-linux-nonfree as /lib/firmware/3com/typhoon.bin
>
> sys/dev/fxp/rcvbundl.h
> - binaries are packaged in firmware-linux-nonfree as /lib/firmware/e100/*
>
> For our port is very important to release. It would be better to release  
> even without any of these drivers compared to not release at all ...
>
>> fwiw, if the current firmware-loading mechanism could be extended to
>> support using the firmware-* packages, the SRMs would be prepared to
>> look at introducing the updated mechanism - and any necessary new
>> firmware packages - as part of a Squeeze point release, if desired /
>> required.
>
> Could be the plan:
>
> 1) drop all files from Ben's mail, repackage .orig.tgz, disable drivers
> 2) upload into sid and ask for propagation into squeeze
> 3) start extending firmware-loading mechanism
> 4a) upload into sid and ask for propagation into squeeze
> 4b) upload into stable-proposed-updates
>
> Whether 4a or 4b depends on our timing.
>
> I have to note, that this is my personal planing,
> not planing of whole porter group, but I expect they would agree.
>

This looks like the way to go. I am sorry I don't have a lot of time to
spend on that, but I can do the upload once everything is ready.

About the firmware loader mechanism, another alternative is to package
all removed (but distributable) firmwares that are currently already
built as .ko in a separate source package, and build
firmware-kfreebsd-nonfree from it. But I agree it would be even better
to be able to load firmware in the same format as the linux kernel.

Cheers,
Aurelien

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Sun, 21 Nov 2010 10:48:04 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 21 Nov 2010 15:43:23 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 15:43:24 GMT) Full text and rfc822 format available.

Message #62 received at 594940-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 594940-close@bugs.debian.org
Subject: Bug#594940: fixed in kfreebsd-8 8.1+dfsg-6
Date: Sun, 21 Nov 2010 15:32:44 +0000
Source: kfreebsd-8
Source-Version: 8.1+dfsg-6

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.1+dfsg-6.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-6.diff.gz
kfreebsd-8_8.1+dfsg-6.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-6.dsc
kfreebsd-8_8.1+dfsg.orig.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg.orig.tar.gz
kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-source-8.1_8.1+dfsg-6_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.1_8.1+dfsg-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Nov 2010 15:19:57 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1+dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 594940 595681 596577 598417
Changes: 
 kfreebsd-8 (8.1+dfsg-6) unstable; urgency=low
 .
   [ Petr Salinger]
   * Drop non-free firmware. Closes: #594940.
     - prune .orig.tar.gz
     - disable firmware in kernel via 999_config.diff
     - drop firmware even as modules inside 999_firmware.diff
   * Re-enable ulpt in kernel. Closes: #598417.
   * Raise NKPT on amd64 via 916_NKPT_amd64.diff. Closes: #596577.
 .
   [ Aurelien Jarno ]
   * Replace 106_teken_op.diff by upstream patch.
   * Add 108_teken_utf8_table.diff to be able to display upper case vowels
     with accent by ignoring the accent. Closes: #595681.
Checksums-Sha1: 
 dfff5508cf9d21c5d4db2ab6e821f97c063d8ad6 1898 kfreebsd-8_8.1+dfsg-6.dsc
 f42e1b26ce8cc24dbe529ad33f4077e73dd1c408 26095080 kfreebsd-8_8.1+dfsg.orig.tar.gz
 c8d4c812aa9d30d99f2ed48d2466b42337b31471 85431 kfreebsd-8_8.1+dfsg-6.diff.gz
 b8ed75265a35c8b8ed4a9943c1b0ee3cc122804d 17481176 kfreebsd-source-8.1_8.1+dfsg-6_all.deb
 f3ea7a3b395ed62222603bc0ee8cda7edbae2180 6553828 kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
 51faef6f75650d78030ac11aece789b8f53153d8 10855128 kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 479abc7c108a45fd4ff5b6a8d380c7b32dee95cb 47254 kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 0ac5ea0ea10301d355b1e45ba368b60cf033027a 312108 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 83f61ea63b45eb6640d019da682811177d42e787 47260 kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
Checksums-Sha256: 
 3f40b54273b2858e1e32be2110195275dfe993204adeeb36f41fbf30f011cc5f 1898 kfreebsd-8_8.1+dfsg-6.dsc
 1871be8b002ce221625009b334ad220f97b244bb67f65a9b79c77f09c3061dc6 26095080 kfreebsd-8_8.1+dfsg.orig.tar.gz
 303480e901ba9466396b4d8b2e019039f31dfb188af9dbd01ca1b19f2b72a334 85431 kfreebsd-8_8.1+dfsg-6.diff.gz
 e7d126110f7836b8eae6287e14de1c0b7ddcbdb20d840e1c8eca8850f4fb912c 17481176 kfreebsd-source-8.1_8.1+dfsg-6_all.deb
 6910a1747b0bc80551740fedc4a3b820786c5858896d6e2b05ae9fb782acbd99 6553828 kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
 b53220c3586ccd5a4c0e8e1eb5139b6f859e15286510cccab4ecf2a4e756534e 10855128 kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 66144c0df45dcb0b06e1f8e12357b39c42d267b93ac5e95c7824a24cae24ba60 47254 kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 4dfb06a17bb82571cd8822995d2acac628ceaf52c9f45fc4860ba17d271de0c2 312108 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 add06b7847f9458389d99e7a3586f5bc06e1b5ab5216592315003ebc9e499f8f 47260 kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
Files: 
 de1a3dc45ae0f2ee73ce13dc331ffc9d 1898 kernel optional kfreebsd-8_8.1+dfsg-6.dsc
 d63d117822899c7a16b9d0d4522c6fc9 26095080 kernel optional kfreebsd-8_8.1+dfsg.orig.tar.gz
 39a447c8616e6db871a3e892aae0f459 85431 kernel optional kfreebsd-8_8.1+dfsg-6.diff.gz
 b6b90343db27d89eeb2c55ada46146f4 17481176 kernel optional kfreebsd-source-8.1_8.1+dfsg-6_all.deb
 bf342a793f3e0e2a27ff84bc076e8f47 6553828 kernel optional kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
 c9b4bf719a937015fd8f8e04478b9aa1 10855128 kernel optional kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 4f95086405f9bbf6bf382ac0d52f7c8b 47254 kernel optional kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 a8a55ac585d1ca5be108a1b6f2d09fcb 312108 kernel optional kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 9de3042ad24956b28c7d23b423dc3d0e 47260 kernel optional kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFM6TE5w3ao2vG823MRAo4bAKCG0t4pQF1gQj4lRT+DPsE4RTy6TgCeKLDH
6Ngvd8dFJXHgQgMdng7S/CY=
=JgLH
-----END PGP SIGNATURE-----





Bug 594940 cloned as bugs 607626, 607627. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 11:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Mon, 20 Dec 2010 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 20 Dec 2010 11:57:06 GMT) Full text and rfc822 format available.

Message #69 received at 594940@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 594940@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#594940: fixed in kfreebsd-8 8.1+dfsg-6
Date: Mon, 20 Dec 2010 12:21:33 +0100
clone 594940 -1 -2
reassign -1 kfreebsd-kernel-di-amd64 0.4
reassign -1 kfreebsd-kernel-di-i386 0.4
thanks

On Sun, Nov 21, 2010 at 03:32:44PM +0000, Aurelien Jarno wrote:
> Source: kfreebsd-8
> Source-Version: 8.1+dfsg-6
> 
> We believe that the bug you reported is fixed in the latest version of
> kfreebsd-8, which is due to be installed in the Debian FTP archive:
> 

I have just realized that the issue is not fixed in the kernel udebs.
Cloning and reassigning.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Mon, 10 Jan 2011 10:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Jan 2011 10:57:05 GMT) Full text and rfc822 format available.

Message #74 received at 594940@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Aurelien Jarno <aurel32@debian.org>
Cc: 594940@bugs.debian.org
Subject: Re: Bug#594940: fixed in kfreebsd-8 8.1+dfsg-6
Date: Mon, 10 Jan 2011 11:53:42 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec 20, 2010 at 12:21:33 +0100, Aurelien Jarno wrote:

> clone 594940 -1 -2
> reassign -1 kfreebsd-kernel-di-amd64 0.4
> reassign -1 kfreebsd-kernel-di-i386 0.4
> thanks
> 
> On Sun, Nov 21, 2010 at 03:32:44PM +0000, Aurelien Jarno wrote:
> > Source: kfreebsd-8
> > Source-Version: 8.1+dfsg-6
> > 
> > We believe that the bug you reported is fixed in the latest version of
> > kfreebsd-8, which is due to be installed in the Debian FTP archive:
> > 
> 
> I have just realized that the issue is not fixed in the kernel udebs.
> Cloning and reassigning.
> 
Is this fixed with rc1, or still not?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594940; Package kfreebsd-8. (Mon, 10 Jan 2011 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Jan 2011 11:00:04 GMT) Full text and rfc822 format available.

Message #79 received at 594940@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Aurelien Jarno <aurel32@debian.org>, 594940@bugs.debian.org
Subject: Re: Bug#594940: fixed in kfreebsd-8 8.1+dfsg-6
Date: Mon, 10 Jan 2011 11:56:45 +0100
Julien Cristau a écrit :
> On Mon, Dec 20, 2010 at 12:21:33 +0100, Aurelien Jarno wrote:
> 
>> clone 594940 -1 -2
>> reassign -1 kfreebsd-kernel-di-amd64 0.4
>> reassign -1 kfreebsd-kernel-di-i386 0.4
>> thanks
>>
>> On Sun, Nov 21, 2010 at 03:32:44PM +0000, Aurelien Jarno wrote:
>>> Source: kfreebsd-8
>>> Source-Version: 8.1+dfsg-6
>>>
>>> We believe that the bug you reported is fixed in the latest version of
>>> kfreebsd-8, which is due to be installed in the Debian FTP archive:
>>>
>> I have just realized that the issue is not fixed in the kernel udebs.
>> Cloning and reassigning.
>>
> Is this fixed with rc1, or still not?
> 

Currently not. I built the packages, uploaded them, but they have been
rejected due to lintian bug #593397. I have contacted the ftpmaster
through IRC, but without success. I'll retry by mail.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:50:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:03:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.